Summary:     The mdadm program controls Linux md devices (software RAID arrays)
Name:        mdadm
Version:     3.3
Release:     %mkrel 1
Source:      http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.xz
Source1:     mdmonitor.init
Source2:     raid-check
Source3:     mdadm.rules
Source4:     mdadm-raid-check-sysconfig
Source5:     mdadm-cron
Patch1:      mdadm-3.3-Work-around-architectures-having-statfs.f_type-defin.patch
Patch2:      mdadm-3.3-Be-consistent-in-return-types-from-byteswap-macros.patch
Patch3:      mdadm-3.3-imsm-support-for-second-AHCI-controller-in-EFI-mode.patch
Patch4:      mdadm-3.3-imsm-improved-platform-capabilities-checking.patch
Patch5:      mdadm-3.2.6-IMSM-don-t-crash-when-creating-an-array-with-missing.patch
Patch6:      mdadm-3.3-policy-NULL-path-isn-t-really-acceptable-use-the-dev.patch
Patch7:      mdadm-3.3-Create-don-t-default-to-bitmap-internal-when-it-is-n.patch
Patch8:      mdadm-3.3-imsm-retry-load_and_parse_mpb-if-we-suspect-mdmon-ha.patch
Patch9:      mdadm-3.3-Assemble-avoid-infinite-loop-when-auto-assembling-pa.patch
Patch10:     mdadm-3.3-IMSM-Add-warning-message-when-assemble-spanned-conta.patch
Patch11:     mdadm-3.3-Do-not-set-default-before.layout-when-reshaping-from.patch
Patch12:     mdadm-3.3-Grow-fix-removal-of-line-in-wrong-case.patch
Patch97:     mdadm-3.3-disable-ddf.patch
Patch98:     mdadm-3.3-udev.patch
Patch99:     mdadm-3.3-makefile.patch
# Patches not upstream yet
URL:         http://www.kernel.org/pub/linux/utils/raid/mdadm/
License:     GPLv2+
Group:       System Environment/Base
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:   mdctl,raidtools
BuildRequires: binutils-devel
Requires(post): /sbin/service, /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
Requires: udev

%description 
The mdadm program is used to create, manage, and monitor Linux MD (software
RAID) devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

%prep
%setup -q
%patch1 -p1 -b .statfs
%patch2 -p1 -b .byteswaptypes
%patch3 -p1 -b .efimode
%patch4 -p1 -b .platcheck
%patch5 -p1 -b .missing
%patch6 -p1 -b .nullpolicy
%patch7 -p1 -b .bitmap
%patch8 -p1 -b .reshape
%patch9 -p1 -b .infinite
%patch10 -p1 -b .span
%patch11 -p1 -b .deflayout
%patch12 -p1 -b .wronggrow
%patch97 -p1 -b .ddf
%patch98 -p1 -b .udev
%patch99 -p1 -b .static

%build
make %{?_smp_mflags} CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}" mdadm mdmon

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} MANDIR=%{_mandir} BINDIR=/sbin install
rm -f %{buildroot}/lib/udev/rules.d/64*
install -Dp -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/mdmonitor
install -Dp -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/raid-check
install -Dp -m 644 %{SOURCE3} %{buildroot}/lib/udev/rules.d/65-md-incremental.rules
install -Dp -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/raid-check
install -Dp -m 600 %{SOURCE5} %{buildroot}%{_sysconfdir}/cron.d/raid-check
mkdir -p -m 700 %{buildroot}/var/run/mdadm

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add mdmonitor
fi

%preun
if [ "$1" = 0 ]; then
    service mdmonitor stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del mdmonitor
fi

%postun
if [ "$1" -ge "1" ]; then
    service mdmonitor condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc TODO ChangeLog mdadm.conf-example COPYING misc/*
/lib/udev/rules.d/*
/sbin/*
%{_sbindir}/raid-check
%{_initrddir}/*
%{_mandir}/man*/md*
%config(noreplace) %{_sysconfdir}/cron.d/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%attr(0700,root,root) %dir /var/run/mdadm

%changelog
* Wed Dec 28 2016 adrianomorselli <adrianomorselli> 3.3-1uplos2016
-update
